.b-minimap {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  border-top: 1px solid;
  background: #fff;
}

.b-minimap .wlcounter {
  font-weight:bold;
}
.b-minimap * {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-user-drag: none;
}
body .b-minimap {
  border-top-color: var(--versioncolor);
}
body._beauty .b-minimap {
  border-top-color: var(--versioncolor);
}
body._health .b-minimap {
  border-top-color: var(--versioncolor);
}
body._smile .b-minimap {
  border-top-color: var(--versioncolor);
}
body._happiness .b-minimap {
  border-top-color: var(--versioncolor);
}
body._velocity .b-minimap {
  border-top-color: var(--versioncolor);
}
body._friend .b-minimap {
  border-top-color: var(--versioncolor);
}
body._strength .b-minimap {
  border-top-color: var(--versioncolor);
}
body._offline .b-minimap {
  border-top-color: #b3b3b3 !important;
}
.b-minimap._no-border {
  border-top-color: #f1f1f1 !important;
}
.b-minimap_cr {
  padding: 8px 24px;
}
.b-minimap_cr._micro {
  padding-bottom: 0;
}
.b-minimap_top {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 4px 0 12px;
}
.b-minimap-info {
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  font-size: 13px;
  line-height: 1;
}
.b-minimap-info_item {
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  height: 24px;
  padding: 0 8px 0 28px;
  border: 1px solid #f1f1f1;
  border-radius: 4px;
  line-height: 24px;
}
.b-minimap-info_item {
  -webkit-transition: background 0.1s ease, border-color 0.1s ease;
          transition: background 0.1s ease, border-color 0.1s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-minimap-info_item::before {
  position: absolute;
  top: 2px;
  left: 2px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 20px;
  height: 20px;
  border: 1px solid #fff;
  border-radius: 4px;
  content: ' ';
}
.b-minimap-info_item::after {
  content: '\e606';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  left: 2px;
  display: none;
  width: 20px;
  margin: -1px 0 0;
  font-size: 16px;
  line-height: 2px;
  color: #fff;
  text-align: center;
}
.b-minimap-info_item::after {
  -webkit-transition: color 0.1s ease;
          transition: color 0.1s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-minimap-info_item._type_scheduled {
  color: #645066;
}
.b-minimap-info_item._type_scheduled::before {
  background: #e9c2ed;
}
.b-minimap._scheduled .b-minimap-info_item._type_scheduled {
  background: #e9c2ed;
  border-color: #e9c2ed;
}
.b-minimap._scheduled .b-minimap-info_item._type_scheduled::after {
  display: block;
}
.b-minimap-info_item._type_sms_confirmation_sent {
  color: #3c5565;
}
.b-minimap-info_item._type_sms_confirmation_sent::before {
  background: #66b5e7;
}
.b-minimap._sms_confirmation_sent .b-minimap-info_item._type_sms_confirmation_sent {
  background: #66b5e7;
  border-color: #66b5e7;
}
.b-minimap._sms_confirmation_sent .b-minimap-info_item._type_sms_confirmation_sent::after {
  display: block;
}
.b-minimap-info_item._type_confirmed {
  color: #3a564a;
}
.b-minimap-info_item._type_confirmed::before {
  background: #9deee1;
}
.b-minimap._confirmed .b-minimap-info_item._type_confirmed {
  background: #9deee1;
  border-color: #9deee1;
}
.b-minimap._confirmed .b-minimap-info_item._type_confirmed::after {
  display: block;
}
.b-minimap-info_item._type_cancelled {
  color: #b08075;
}
.b-minimap-info_item._type_cancelled::before {
  background: #fdcdc2;
}
.b-minimap._cancelled .b-minimap-info_item._type_cancelled {
  background: #fdcdc2;
  border-color: #fdcdc2;
}
.b-minimap._cancelled .b-minimap-info_item._type_cancelled::after {
  display: block;
}
.b-minimap-info_item._type_finished {
  color: #9a9b9b;
}
.b-minimap-info_item._type_finished::before {
  background: #e5e5e5;
}
.b-minimap._finished .b-minimap-info_item._type_finished {
  background: #e5e5e5;
  border-color: #e5e5e5;
}
.b-minimap._finished .b-minimap-info_item._type_finished::after {
  display: block;
}
.b-minimap-info_item._type_empty {
  color: #9a9b9b;
}
.b-minimap-info_item._type_empty::before {
  background: #fff;
  -webkit-box-shadow: 0 0 0 2px #e5e5e5 inset;
          box-shadow: 0 0 0 2px #e5e5e5 inset;
}
.b-minimap._empty .b-minimap-info_item._type_empty {
  background: #e5e5e5;
  border-color: #e5e5e5;
}
.b-minimap._empty .b-minimap-info_item._type_empty::after {
  display: block;
  color: #e5e5e5;
}
.b-minimap-info_item._type_suitable {
  color: #46631a;
}
.b-minimap-info_item._type_suitable::before {
  background: #fff;
  -webkit-box-shadow: 0 0 0 2px #cdfa89 inset;
          box-shadow: 0 0 0 2px #cdfa89 inset;
}
.b-minimap._suitable .b-minimap-info_item._type_suitable {
  background: #cdfa89;
  border-color: #cdfa89;
}
.b-minimap._suitable .b-minimap-info_item._type_suitable::after {
  display: block;
  color: #cdfa89;
}
.b-minimap-info_item + .b-minimap-info_item {
  margin: 0 0 0 16px;
}
.b-minimap_button {
  margin: 0 0 0 16px;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  height: 46px;
  padding: 0 8px;
  border: 1px solid;
  border-radius: 4px;
  background: #fff;
  -webkit-box-shadow: 0 2px 2px -1px #fff inset;
          box-shadow: 0 2px 2px -1px #fff inset;
  font-size: 18px;
  line-height: 42px;
  text-align: center;
  white-space: nowrap;
}
body .b-minimap_button {
  border-color: var(--versioncolor);
}
body._beauty .b-minimap_button {
  border-color: var(--versioncolor);
}
body._health .b-minimap_button {
  border-color: var(--versioncolor);
}
body._smile .b-minimap_button {
  border-color: var(--versioncolor);
}
body._happiness .b-minimap_button {
  border-color: var(--versioncolor);
}
body._velocity .b-minimap_button {
  border-color: var(--versioncolor);
}
body._friend .b-minimap_button {
  border-color: var(--versioncolor);
}
body._strength .b-minimap_button {
  border-color: var(--versioncolor);
}
.b-minimap_button {
  -webkit-transition: background 0.2s ease, -webkit-box-shadow 0.2s ease;
          transition: background 0.2s ease, box-shadow 0.2s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-minimap_button:hover {
  background: #fafafa;
}
.b-minimap_button:active {
  padding-top: 1px;
  background: #fafafa;
  -webkit-box-shadow: 0 2px 2px -1px #d8d8d8 inset;
          box-shadow: 0 2px 2px -1px #d8d8d8 inset;
  -webkit-transition-duration: 0s;
          transition-duration: 0s;
}
.b-minimap_button._icons {
  position: relative;
  padding-right: 46px;
  padding-left: 46px;
}
.b-minimap_button._icons::before {
  content: '\e611';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  left: 0;
  width: 46px;
  margin: -1px 0 0;
  font-size: 24px;
  line-height: 2px;
  text-align: center;
}
body .b-minimap_button._icons::before {
  color: var(--versioncolor);
}
body._beauty .b-minimap_button._icons::before {
  color: var(--versioncolor);
}
body._health .b-minimap_button._icons::before {
  color: var(--versioncolor);
}
body._smile .b-minimap_button._icons::before {
  color: var(--versioncolor);
}
body._happiness .b-minimap_button._icons::before {
  color: var(--versioncolor);
}
body._velocity .b-minimap_button._icons::before {
  color: var(--versioncolor);
}
body._friend .b-minimap_button._icons::before {
  color: var(--versioncolor);
}
body._strength .b-minimap_button._icons::before {
  color: var(--versioncolor);
}
.b-minimap_button._icons::after {
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  width: 46px;
  margin: -1px 0 0;
  font-size: 28px;
  line-height: 2px;
  text-align: center;
}
body .b-minimap_button._icons::after {
  color: var(--versioncolor);
}
body._beauty .b-minimap_button._icons::after {
  color: var(--versioncolor);
}
body._health .b-minimap_button._icons::after {
  color: var(--versioncolor);
}
body._smile .b-minimap_button._icons::after {
  color: var(--versioncolor);
}
body._happiness .b-minimap_button._icons::after {
  color: var(--versioncolor);
}
body._velocity .b-minimap_button._icons::after {
  color: var(--versioncolor);
}
body._friend .b-minimap_button._icons::after {
  color: var(--versioncolor);
}
body._strength .b-minimap_button._icons::after {
  color: var(--versioncolor);
}
.b-minimap_button._icons:active::before,
.b-minimap_button._icons:active::after {
  margin-top: 0;
}
.b-minimap_button._icons_down::after {
  content: '\e62d';
  font-family: 'clientix-icons';
}
.b-minimap_button._icons_up::after {
  content: '\e62e';
  font-family: 'clientix-icons';
}
.b-minimap_button_span {
  position: relative;
  display: inline-block;
  vertical-align: top;
}
.b-minimap_button_span::after {
  position: absolute;
  bottom: 10px;
  right: 0;
  left: 0;
  border-bottom: 1px dashed #555;
  content: ' ';
}
.b-minimap-days {
  position: relative;
  margin: 0;
}
.b-minimap-days_cr {
  position: relative;
  -webkit-transform: translate3D(0, 0, 0);
      -ms-transform: translate3D(0, 0, 0);
          transform: translate3D(0, 0, 0);
}
.b-minimap_cr._micro .b-minimap-days_cr {
  height: 44px;
}
.b-minimap-notaday {
  position: absolute;
  z-index: 5;
  top: 0;
  left: 0;
  bottom: 0;
  display: none;
}
.b-minimap-notaday_cr {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 7px;
  left: 20px;
  border-left: 1px solid #d8d8d8;
}
.b-minimap-notaday_info {
  position: absolute;
  top: 16px;
  right: 0;
  bottom: 5px;
  left: 0;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  background-color: #fafafa;
  background-image: url("../images/minimap-notaday.svg");
  background-repeat: repeat;
  -webkit-background-size: 32px 32px;
          background-size: 32px 32px;
}
.b-minimap-notaday-message {
  position: absolute;
  top: 50%;
  left: 20px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  padding: 8px 16px 8px 56px;
  border-radius: 4px;
  background: #fff;
  font-size: 14px;
  line-height: 16px;
  -webkit-transform: translate3D(0, -50%, 0);
      -ms-transform: translate3D(0, -50%, 0);
          transform: translate3D(0, -50%, 0);
}
.b-minimap-notaday-message::before {
  content: '\e63C';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  left: 0;
  width: 56px;
  margin: -1px 0 0;
  font-size: 32px;
  line-height: 2px;
  color: #ccc;
  text-align: center;
}
.b-minimap-day {
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  height: 100%;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}
.b-minimap_cr._micro .b-minimap-day {
  border-top: 1px solid #b4b4b4;
}
.b-minimap-day::before {
  position: absolute;
  z-index: -1;
  top: 0;
  bottom: 12px;
  left: 0;
  width: 1px;
  background: #d8d8d8;
  content: ' ';
}
.b-minimap_cr._micro .b-minimap-day::before {
  bottom: 0;
  background: #b4b4b4;
}
.b-minimap-day._weekend {
  background: #fafafa;
}
.b-minimap-day_title {
  overflow: hidden;
  font-size: 9px;
  line-height: 18px;
  color: #3e3e3e;
  font-weight: 700;
  text-transform: uppercase;
  text-overflow: ellipsis;
  white-space: nowrap;
  padding: 0 8px;
  width: 100%;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}
.b-minimap_cr._micro .b-minimap-day_title {
  font-size: 18px;
  text-transform: none;
  font-weight: 600;
  line-height: 44px;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.b-minimap-day_date {
  display: inline;
  color: #8f979b;
  text-transform: none;
}
.b-minimap_cr._micro .b-minimap-day_date {
  font-size: 13px;
  font-weight: 400;
  text-transform: uppercase;
}
.b-minimap-day_hours {
  position: absolute;
  bottom: 0;
  left: 0;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
.b-minimap-row {
  position: relative;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  border-radius: 2px;
}
.b-minimap-row {
  -webkit-transition: -webkit-transform 1s ease;
          transition: transform 1s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-minimap-row._selected {
  position: relative;
  background: #fff;
  -webkit-box-shadow: 0 0 0 1px #6c6c6c inset;
          box-shadow: 0 0 0 1px #6c6c6c inset;
}
.b-minimap-row._selected::before {
  content: '\e618';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 100%;
  width: 16px;
  margin: -1px 0 0;
  font-size: 12px;
  line-height: 2px;
  color: #6c6c6c;
  text-align: center;
}
.b-minimap-record {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  height: 12px;
}
.b-minimap-record._duration_15m {
  width: 5px;
}
.b-minimap-record._duration_30m {
  width: 10px;
}
.b-minimap-record._duration_45m {
  width: 15px;
}
.b-minimap-record._duration_60m {
  width: 20px;
}
.b-minimap-record._duration_75m {
  width: 25px;
}
.b-minimap-record._duration_90m {
  width: 30px;
}
.b-minimap-record._duration_105m {
  width: 35px;
}
.b-minimap-record._duration_120m {
  width: 40px;
}
.b-minimap-record._duration_135m {
  width: 45px;
}
.b-minimap-record._duration_150m {
  width: 50px;
}
.b-minimap-record._duration_165m {
  width: 55px;
}
.b-minimap-record._duration_180m {
  width: 60px;
}
.b-minimap-record._duration_195m {
  width: 65px;
}
.b-minimap-record._duration_210m {
  width: 70px;
}
.b-minimap-record._duration_225m {
  width: 75px;
}
.b-minimap-record._duration_240m {
  width: 80px;
}
.b-minimap-record._duration_255m {
  width: 85px;
}
.b-minimap-record._duration_270m {
  width: 90px;
}
.b-minimap-record._duration_285m {
  width: 95px;
}
.b-minimap-record._duration_300m {
  width: 100px;
}
.b-minimap-record._duration_315m {
  width: 105px;
}
.b-minimap-record._duration_330m {
  width: 110px;
}
.b-minimap-record._duration_345m {
  width: 115px;
}
.b-minimap-record._duration_360m {
  width: 120px;
}
.b-minimap-record._duration_375m {
  width: 125px;
}
.b-minimap-record._duration_390m {
  width: 130px;
}
.b-minimap-record._duration_405m {
  width: 135px;
}
.b-minimap-record._duration_420m {
  width: 140px;
}
.b-minimap-record._duration_435m {
  width: 145px;
}
.b-minimap-record._duration_450m {
  width: 150px;
}
.b-minimap-record._duration_465m {
  width: 155px;
}
.b-minimap-record._duration_480m {
  width: 160px;
}
.b-minimap._highlight .b-minimap-record {
  opacity: 0.25;
}
.b-minimap._scheduled .b-minimap-record._type_scheduled,
.b-minimap._sms_confirmation_sent .b-minimap-record._type_sms_confirmation_sent,
.b-minimap._confirmed .b-minimap-record._type_in_progress,
.b-minimap._confirmed .b-minimap-record._type_in_arrived,
.b-minimap._confirmed .b-minimap-record._type_confirmed,
.b-minimap._cancelled .b-minimap-record._type_missed,
.b-minimap._cancelled .b-minimap-record._type_cancelled,
.b-minimap._cancelled .b-minimap-record._type_cancelled_by_sms,
.b-minimap._finished .b-minimap-record._type_finished,
.b-minimap._suitable .b-minimap-record._type_suitable,
.b-minimap._empty .b-minimap-record._type_none {
  opacity: 1;
}
.b-minimap-record_cr {
  position: absolute;
  top: 1px;
  right: 1px;
  bottom: 1px;
  left: 1px;
  border-radius: 2px;
}
.b-minimap-record._type_sms_confirmation_sent .b-minimap-record_cr {
  background: #66b5e7;
}
.b-minimap._sms_confirmation_sent .b-minimap-record._type_sms_confirmation_sent .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #3d96ce inset;
          box-shadow: -1px -1px #3d96ce inset;
}
.b-minimap-record._type_confirmed .b-minimap-record_cr {
  background: #9deee1;
}
.b-minimap._confirmed .b-minimap-record._type_confirmed .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #70d5c4 inset;
          box-shadow: -1px -1px #70d5c4 inset;
}
.b-minimap-record._type_scheduled .b-minimap-record_cr {
  background: #e9c2ed;
}
.b-minimap._scheduled .b-minimap-record._type_scheduled .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #cc95d1 inset;
          box-shadow: -1px -1px #cc95d1 inset;
}
.b-minimap-record._type_in_progress .b-minimap-record_cr {
  background: #43e1c8;
}
.b-minimap-record._type_arrived .b-minimap-record_cr {
  background: #43e1c8;
}
.b-minimap-record._type_in_progress .b-minimap-record_cr::after {
  background: #43e1c8;
}
.b-minimap-record._type_arrived .b-minimap-record_cr::after {
  background: #43e1c8;
}
.b-minimap._confirmed .b-minimap-record._type_in_progress .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #20c7ac inset;
          box-shadow: -1px -1px #20c7ac inset;
}
.b-minimap._confirmed .b-minimap-record._type_arrived .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #20c7ac inset;
          box-shadow: -1px -1px #20c7ac inset;
}
.b-minimap-record._type_cancelled .b-minimap-record_cr {
  background: #fdcdc2;
}
.b-minimap._cancelled .b-minimap-record._type_cancelled .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #e79f8d inset;
          box-shadow: -1px -1px #e79f8d inset;
}
.b-minimap-record._type_cancelled_by_sms .b-minimap-record_cr {
  background: #fdcdc2;
}
.b-minimap._cancelled .b-minimap-record._type_cancelled_by_sms .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #e79f8d inset;
          box-shadow: -1px -1px #e79f8d inset;
}
.b-minimap-record._type_missed .b-minimap-record_cr {
  background: #fdcdc2;
}
.b-minimap._cancelled .b-minimap-record._type_missed .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #e79f8d inset;
          box-shadow: -1px -1px #e79f8d inset;
}
.b-minimap-record._type_finished .b-minimap-record_cr {
  background: #e5e5e5;
}
.b-minimap._finished .b-minimap-record._type_finished .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #c0c0c0 inset;
          box-shadow: -1px -1px #c0c0c0 inset;
}
.b-minimap-record._type_denied .b-minimap-record_cr {
  background-color: rgba(214,214,214,0.5);
  background-image: url("../images/minimap-record_denied.svg");
  background-repeat: repeat;
  -webkit-background-size: 10px 10px;
          background-size: 10px 10px;
}
.b-minimap._empty .b-minimap-record._type_none .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #c0c0c0 inset, 0 0 0 2px #e5e5e5 inset;
          box-shadow: -1px -1px #c0c0c0 inset, 0 0 0 2px #e5e5e5 inset;
  background: #fff;
}
.b-minimap-record._type_suitable .b-minimap-record_cr {
  right: 0;
  border-radius: 2px 0 0 2px;
  background: #fff;
  -webkit-box-shadow: 0 -2px #cdfa89 inset, 0 2px #cdfa89 inset, 2px 0 #cdfa89 inset;
          box-shadow: 0 -2px #cdfa89 inset, 0 2px #cdfa89 inset, 2px 0 #cdfa89 inset;
}
.b-minimap._suitable .b-minimap-record._type_suitable .b-minimap-record_cr {
  -webkit-box-shadow: 0 -1px #ace45a inset, 0 -2px #cdfa89 inset, 0 2px #cdfa89 inset, 2px 0 #cdfa89 inset;
          box-shadow: 0 -1px #ace45a inset, 0 -2px #cdfa89 inset, 0 2px #cdfa89 inset, 2px 0 #cdfa89 inset;
}
.b-minimap-record._type_suitable + .b-minimap-record._type_suitable .b-minimap-record_cr {
  right: 0;
  left: 0;
  margin-left: 0;
  padding-left: 1px;
  border-radius: 0;
  -webkit-box-shadow: 0 -2px #cdfa89 inset, 0 2px #cdfa89 inset;
          box-shadow: 0 -2px #cdfa89 inset, 0 2px #cdfa89 inset;
}
.b-minimap._suitable .b-minimap-record._type_suitable + .b-minimap-record._type_suitable .b-minimap-record_cr {
  -webkit-box-shadow: 0 -1px #ace45a inset, 0 -2px #cdfa89 inset, 0 2px #cdfa89 inset;
          box-shadow: 0 -1px #ace45a inset, 0 -2px #cdfa89 inset, 0 2px #cdfa89 inset;
}
.b-minimap-record._type_suitable._last .b-minimap-record_cr {
  left: 0;
  border-radius: 0 2px 2px 0 !important;
  -webkit-box-shadow: 0 -2px #cdfa89 inset, -2px 0 #cdfa89 inset, 0 2px #cdfa89 inset !important;
          box-shadow: 0 -2px #cdfa89 inset, -2px 0 #cdfa89 inset, 0 2px #cdfa89 inset !important;
}
.b-minimap._suitable .b-minimap-record._type_suitable._last .b-minimap-record_cr {
  -webkit-box-shadow: -1px 0 #ace45a inset, 0 -1px #ace45a inset, 0 -2px #cdfa89 inset, -2px 0 #cdfa89 inset, 0 2px #cdfa89 inset !important;
          box-shadow: -1px 0 #ace45a inset, 0 -1px #ace45a inset, 0 -2px #cdfa89 inset, -2px 0 #cdfa89 inset, 0 2px #cdfa89 inset !important;
}
.b-minimap-record._type_suitable._first._last .b-minimap-record_cr {
  border-radius: 2px !important;
  -webkit-box-shadow: 0 0 0 2px #cdfa89 inset !important;
          box-shadow: 0 0 0 2px #cdfa89 inset !important;
}
.b-minimap._suitable .b-minimap-record._type_suitable._first._last .b-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #ace45a inset, 0 0 0 2px #cdfa89 inset !important;
          box-shadow: -1px -1px #ace45a inset, 0 0 0 2px #cdfa89 inset !important;
}
.b-minimap-hour {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  width: 20px;
  height: 12px;
  margin: 2px 0 0;
}
.b-minimap-hour::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 1px;
  height: 3px;
  background: #d1d1d1;
  content: ' ';
}
.b-minimap-day._half .b-minimap-hour:first-child {
  width: 10px;
}
.b-minimap-hour_number {
  position: absolute;
  top: 0;
  left: 2px;
  font-size: 8px;
  color: #3e3e3e;
  font-weight: 600;
}
.b-minimap-hour:nth-child(even) .b-minimap-hour_number {
  display: none;
}
.b-minimap-view {
  position: absolute;
  z-index: 2;
  top: 18px;
  bottom: 14px;
  left: 20px;
  visibility: hidden;
  pointer-events: none;
}
.b-minimap_cr._micro .b-minimap-view {
  top: 1px;
  bottom: 0px;
}
.b-minimap-view_left {
  position: absolute;
  top: -1px;
  bottom: -1px;
  left: -1px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 16px;
  border: 2px solid #6c6c6c;
  border-right: 0;
}
body .b-minimap_cr._micro .b-minimap-view_left {
  border-color: var(--versioncolor);
}
body._beauty .b-minimap_cr._micro .b-minimap-view_left {
  border-color: var(--versioncolor);
}
body._health .b-minimap_cr._micro .b-minimap-view_left {
  border-color: var(--versioncolor);
}
body._smile .b-minimap_cr._micro .b-minimap-view_left {
  border-color: var(--versioncolor);
}
body._happiness .b-minimap_cr._micro .b-minimap-view_left {
  border-color: var(--versioncolor);
}
body._velocity .b-minimap_cr._micro .b-minimap-view_left {
  border-color: var(--versioncolor);
}
body._friend .b-minimap_cr._micro .b-minimap-view_left {
  border-color: var(--versioncolor);
}
body._strength .b-minimap_cr._micro .b-minimap-view_left {
  border-color: var(--versioncolor);
}
.b-minimap-view_right {
  position: absolute;
  top: -1px;
  right: -1px;
  bottom: -1px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 16px;
  border: 2px solid #6c6c6c;
  border-left: 0;
}
body .b-minimap_cr._micro .b-minimap-view_right {
  border-color: var(--versioncolor);
}
body._beauty .b-minimap_cr._micro .b-minimap-view_right {
  border-color: var(--versioncolor);
}
body._health .b-minimap_cr._micro .b-minimap-view_right {
  border-color: var(--versioncolor);
}
body._smile .b-minimap_cr._micro .b-minimap-view_right {
  border-color: var(--versioncolor);
}
body._happiness .b-minimap_cr._micro .b-minimap-view_right {
  border-color: var(--versioncolor);
}
body._velocity .b-minimap_cr._micro .b-minimap-view_right {
  border-color: var(--versioncolor);
}
body._friend .b-minimap_cr._micro .b-minimap-view_right {
  border-color: var(--versioncolor);
}
body._strength .b-minimap_cr._micro .b-minimap-view_right {
  border-color: var(--versioncolor);
}
.b-minimap-message {
  position: absolute;
  z-index: 2;
  bottom: 0;
  left: 22px;
  display: none;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
/*max-width: 400px;*/
  padding: 8px 32px 8px 8px;
  border: 2px solid #fff;
  border-radius: 4px;
  font-size: 13px;
  line-height: 16px;
}
.b-minimap-message._green {
  background: #cdfa89;
  color: #46631a;
}
.b-minimap-message._red {
  background: #fcdbd3;
  color: #b08075;
}
.b-minimap-message._show {
  display: block;
}
.b-minimap-message._show {
  -webkit-animation: minimap_fade-in 0.2s ease;
          animation: minimap_fade-in 0.2s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-minimap-message_close {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  width: 40px;
}
.b-minimap-message_close::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  font-size: 24px;
  line-height: 2px;
  text-align: center;
}
.b-minimap-message_close:active::before {
  margin-top: 0;
}
.b-minimap-message._green .b-minimap-message_close::before {
  color: #46631a;
}
.b-minimap-message._red .b-minimap-message_close::before {
  color: #b08075;
}
.b-minimap-waitingButton, .b-minimap-nextDayNotification {
  margin: -6px 16px -6px 0;
  height: 38px;
}

.b-minimap-filter{
   margin: -6px 16px -6px 0;
   height: 38px;
 }

.b-minimap-filter input {
  border-radius: 4px 4px 4px 4px;
  border: 1px solid #d8d8d8;
  height: 28px;
  padding: 4px;
  width: 200px;
}
.b-minimap-waitingButton._hidden {
  display: none;
}
.MiniStage {
  contain: strict;
  height: 44px;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
}
.MiniStage-view {
  position: absolute;
  z-index: 1;
  top: 0;
  bottom: 0;
  left: 40px;
  pointer-events: none;
}
.MiniStage-view_left {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 16px;
  border: 2px solid;
  border-right: 0;
}
body .MiniStage-view_left {
  border-color: var(--versioncolor);
}
body._beauty .MiniStage-view_left {
  border-color: var(--versioncolor);
}
body._health .MiniStage-view_left {
  border-color: var(--versioncolor);
}
body._smile .MiniStage-view_left {
  border-color: var(--versioncolor);
}
body._happiness .MiniStage-view_left {
  border-color: var(--versioncolor);
}
body._velocity .MiniStage-view_left {
  border-color: var(--versioncolor);
}
body._friend .MiniStage-view_left {
  border-color: var(--versioncolor);
}
body._strength .MiniStage-view_left {
  border-color: var(--versioncolor);
}
.MiniStage-view_right {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 16px;
  border: 2px solid;
  border-left: 0;
}
body .MiniStage-view_right {
  border-color: var(--versioncolor);
}
body._beauty .MiniStage-view_right {
  border-color: var(--versioncolor);
}
body._health .MiniStage-view_right {
  border-color: var(--versioncolor);
}
body._smile .MiniStage-view_right {
  border-color: var(--versioncolor);
}
body._happiness .MiniStage-view_right {
  border-color: var(--versioncolor);
}
body._velocity .MiniStage-view_right {
  border-color: var(--versioncolor);
}
body._friend .MiniStage-view_right {
  border-color: var(--versioncolor);
}
body._strength .MiniStage-view_right {
  border-color: var(--versioncolor);
}
.MiniCanvas {
  contain: size layout style;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-transform: translate3D(0, 0, 0);
      -ms-transform: translate3D(0, 0, 0);
          transform: translate3D(0, 0, 0);
}
backface-visibility hidden {
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.MiniDay {
  contain: strict;
  position: absolute;
  top: 0;
  left: 0;
  border: 1px solid #b4b4b4;
  border-right-width: 0;
  overflow: hidden;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}
.MiniDay:last-child {
  border-right-width: 1px;
}
.MiniDay-date {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  color: #444;
  font-size: 18px;
  font-weight: 600;
  line-height: 42px;
  white-space: nowrap;
  padding: 0 6px 0 12px;
  text-overflow: ellipsis;
  overflow: hidden;
  pointer-events: none;
  text-shadow: 0 1px #fff, 0 -1px #fff, 1px 0 #fff, -1px 0 #fff;
}
.MiniDay-date_weekday {
  display: inline;
  color: #888;
  text-transform: uppercase;
  font-size: 13px;
  font-weight: 400;
}
.MiniDay-fullness {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
}
.MiniDay-fullness-item {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
      -ms-flex-pack: end;
          justify-content: flex-end;
}
.MiniDay-fullness-item_appointments {
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  min-height: 0;
  background: #fafafa;
  -webkit-box-shadow: 0 1px #fff inset;
          box-shadow: 0 1px #fff inset;
  border-left: 1px solid #fff;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}
.MiniDay-fullness-item_appointments._confirmed {
  background: #def9f5;
}
.MiniDay-fullness-item_appointments._scheduled {
  background: #f7eaf9;
}
.MiniDay-fullness-item_appointments._in_progress {
  background: #c0f5ec;
}
.MiniDay-fullness-item_appointments._arrived {
  background: #c0f5ec;
}
.MiniDay-fullness-item_appointments._finished {
  background: #ededed;
}
.MiniDay-fullness-item_appointments._sms_confirmation_sent {
    background: #d9eaf5;
}
.MiniDay-fullness-item_hour {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  text-align: center;
  font-size: 8px;
  color: #b4b4b4;
  text-shadow: 0 1px #fff, 0 -1px #fff, 1px 0 #fff, -1px 0 #fff;
}
.MiniEnd {
  contain: strict;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  border: 1px solid #b4b4b4;
  background-color: #fafafa;
  background-image: url("../images/minimap-notaday.svg");
  background-repeat: repeat;
  -webkit-background-size: 32px 32px;
          background-size: 32px 32px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}
.MiniEnd:first-child {
  border-right-width: 0;
}
.MiniEnd-message {
  position: absolute;
  top: 4px;
  left: 12px;
  bottom: 4px;
  background: #fff;
  border-radius: 4px;
  padding: 4px 16px 4px 40px;
  pointer-events: none;
}
.MiniEnd-message::before {
  content: '\e63C';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  left: 0;
  width: 40px;
  margin: -1px 0 0;
  font-size: 24px;
  line-height: 2px;
  color: #ccc;
  text-align: center;
}
.MiniEnd-message_text {
  font-size: 14px;
  font-weight: 400;
  line-height: 1;
}
@-webkit-keyframes minimap_fade-in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes minimap_fade-in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}


.b-minimap-info .element_button {
  height: 38px!important;
}


._break_tile_buttons {
  margin: -6px 16px -6px 0;
  height: 38px;
}

._break_tile_buttons ._hidden_message {
  display:none;
}

._break_tile_buttons._active ._hidden_message {
  display:inline;
}


#departmentsFilter {
  margin: -6px 16px -6px 0;
}

#departmentsFilter .element-autocomplete_field  {
  height:38px;
  border: 1px solid #d8d8d8;
  width: 250px;
}

#departmentsFilter .element-autocomplete_field::placeholder {
  color:rgb(85, 85, 85);
  font-size:13px;
}

#departmentsFilter  .element_clear::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 80%;
  margin: -1px 0 0;
  text-align: center;
  color: #8f979b;
  font-size: 16px;
  line-height: 2px;
}


#accountsFilter {
  margin: -6px 16px -6px 0;
}

#accountsFilter .element-autocomplete_field  {
  height:38px;
  border: 1px solid #d8d8d8;
  width: 250px;
}

#accountsFilter .element-autocomplete_field::placeholder {
  color:rgb(85, 85, 85);
  font-size:13px;
}

#accountsFilter  .element_clear::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 80%;
  margin: -1px 0 0;
  text-align: center;
  color: #8f979b;
  font-size: 16px;
  line-height: 2px;
}